Bug 203679 - kernel may not be using NX hardware where available
Summary: kernel may not be using NX hardware where available
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-23 01:49 UTC by Matthew Galgoci
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 18:51:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2006-08-23 01:49:28 UTC
Description of problem:

The kernel is reportedly not using hardware NX protection when available. I
would expect that on modern NX enabled processors that the kernel would use
hardware NX enforcement over segment limits.

Linux version 2.6.17-1.2583.fc6 (brewbuilder@hs20-bc1-6.build.redhat.com) (gcc
version 4.1.1 20060817 (Red Hat 4.1.1-18)) #1
 SMP Tue Aug 22 00:29:50 EDT 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000d2000 - 00000000000d4000 (reserved)
 BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007f6d0000 (usable)
 BIOS-e820: 000000007f6d0000 - 000000007f6e3000 (ACPI data)
 BIOS-e820: 000000007f6e3000 - 000000007f700000 (ACPI NVS)
 BIOS-e820: 000000007f700000 - 0000000080000000 (reserved)
 BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
 BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
 BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff800000 - 0000000100000000 (reserved)
1142MB HIGHMEM available.
895MB LOWMEM available.
found SMP MP-table at 000f68c0
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 521936
  DMA zone: 4096 pages, LIFO batch:0
  Normal zone: 225279 pages, LIFO batch:31
  HighMem zone: 292561 pages, LIFO batch:31
DMI present.

I'm not sure if the kernel is just misreporting or if NX is really not being
used. I'm not sure how to tell. It's been this way for a while though.

Version-Release number of selected component (if applicable):

2.6.17-1.2583.fc6

How reproducible:

Every boot.

Steps to Reproduce:
1. boot kernel
2. type dmesg | grep NX
  
Actual results:

$ dmesg | grep NX
Using x86 segment limits to approximate NX protection

Expected results:

Kernel should decide to use NX hardware when available and report as such.

Additional info:

Comment 1 David Lawrence 2006-09-05 15:30:00 UTC
Reassigning to correct owner, kernel-maint.

Comment 2 Dave Jones 2007-04-23 18:51:45 UTC
You need to install kernel-PAE to use NX



Note You need to log in before you can comment on or make changes to this bug.